\documentclass{standalone}
\usepackage[siunitx]{circuitikz}
\begin{document}
\begin{tikzpicture}
  \ctikzset{transformer L1/.style={inductors/coils=8, inductors/width=0.6}}
  \ctikzset{transformer L2/.style={inductors/coils=4, inductors/width=0.3}}
  \draw (0,0) node[transformer core] (T) {}
  (T-L1.midtap) node[below left] {$n_p$}
  (T-L1.midtap) node[left=6mm] {$\mathcal{E}_p$}
  (T-L2.midtap) node[below right] {$n_s$}
  (T-L2.midtap) node[right=6mm] {$\mathcal{E}_s$}
  ;
  
\end{tikzpicture}
\end{document}
